Merge "Alter flavor of env to get memory up"
diff --git a/de/heat-templates/scripts/instance_boot.sh b/de/heat-templates/scripts/instance_boot.sh
index 2fb3123..17a4cab 100644
--- a/de/heat-templates/scripts/instance_boot.sh
+++ b/de/heat-templates/scripts/instance_boot.sh
@@ -563,8 +563,15 @@
 }
 
 function workaround_default_forward_policy {
-    if grep "DOCKER-USER" /etc/iptables/rules.v4; then
-        echo "Iptables is already configurations"
+    local should_run=0
+    for net in $FLOATING_NETWORK_PREFIXES; do
+        if ! iptables -nvL DOCKER-USER |grep $net; then
+            should_run=1
+            break
+        fi
+    done
+    if [[ $should_run == 0 ]]; then
+        echo "Iptables is already configured"
     else
         cat << EOF > /etc/iptables/rules.v4
 *filter